Bug 1314437 - ModeShape vdb undeployed on startup when data-roles-required is set to true
ModeShape vdb undeployed on startup when data-roles-required is set to true
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid, ModeShape (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity high
: ER5
: 6.3.0
Assigned To: Van Halbert
Andrej Smigala
CloudForms for Management for the 7.x...
: Reopened
Depends On: 1334945
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 10:34 EST by Andrej Smigala
Modified: 2016-08-24 07:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:44:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Smigala 2016-03-03 10:34:38 EST
When the data-roles-required property (see TEIID-3419) is set to true, the ModeShape vdb gets undeployed on server startup, because it does not have any data roles defined.


ERROR [org.jboss.msc.service.fail] (MSC service thread 1-2) MSC000001: Failed to start service jboss.teiid.vdb.ModeShape.1: org.jboss.msc.service.StartException in service jboss.teiid.vdb.ModeShape.1: org.teiid.deployers.VirtualDatabaseException: TEIID40143 ModeShape.1[ModeShape{ModeShape=ModeShape, modeshape, java:/datasources/ModeShapeDS}, VDB_Lineage{}, Relational_Model_View{}] deploy failed - data roles are required, but none are defined.
        at org.teiid.jboss.VDBService.start(VDBService.java:182)
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913) [jboss-msc-1.1.5.Final-redhat-1.jar:1.1.5.Final-redhat-1]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_72]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_72]
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_72]
Caused by: org.teiid.deployers.VirtualDatabaseException: TEIID40143 ModeShape.1[ModeShape{ModeShape=ModeShape, modeshape, java:/datasources/ModeShapeDS}, VDB_Lineage{}, Relational_Model_View{}] deploy failed - data roles are required, but none are defined.
        at org.teiid.deployers.VDBRepository.addVDB(VDBRepository.java:95)
        at org.teiid.jboss.VDBService.start(VDBService.java:179)
        ... 5 more
Comment 2 Van Halbert 2016-03-03 11:06:59 EST
This probably looks like expected behavior, because the VDB is not accessible because it has no roles.  Not sure what other expected behavior, unless just indicating its inactive, but that's still essentially the same as not being able to be deployed.   Will get the engineer to confirm.
Comment 3 Van Halbert 2016-03-03 12:05:09 EST
Confirmed with Steve, that this is the expected behavior.  That the VDB will fail deployment when data-roles-required=true and the VDB does not define any roles.
Comment 4 Filip Elias 2016-03-07 09:59:09 EST
I was decided on bug triage to record this behavior in documentation. 

User should be informed that if he/she set data-roles-required to true, the Modeshape VDB will fail to deploy.
Comment 5 Andrej Smigala 2016-03-07 10:18:55 EST
Another solution would be to add a datarole with grant-all and any-authenticated set to true, this should not break anything and still allow the vdb to deploy when data-roles-required is set.
Comment 6 Van Halbert 2016-03-09 08:52:04 EST
Assuming the ModeShape issues accessing the repository get resolved in ER2, then this issue can get resolved in ER3.
Comment 9 JBoss JIRA Server 2016-05-11 10:10:00 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIIDDES-2839 to Closed
Comment 10 Andrej Smigala 2016-06-09 04:56:34 EDT
The ER4.1 build still contains the old ModeShape.vdb in $JBOSS_HOME/dataVirtualization/vdb.

The md5sum is ad608c45b2476062dbd870901473781a, same as in ER3 and ER4.1
Comment 13 Van Halbert 2016-06-09 09:36:35 EDT
Ah, I see the issue.  The vdb in the Teiid kit is still there, it didn't get removed.   So there are 2, one Teiid and the other in Teiid-modeshape.   I can delete it in Teiid for the next build.

Note You need to log in before you can comment on or make changes to this bug.